Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I'm trying to update my iPad 2 firmware to 4.3.3 but iTunes is giving me a "not eligible to build" error. I have tried editing my host files, but to no avail.

share|improve this question
    
Welcome to Ton. We try to have very objective, answerable questions here. Would you edit this to focus on either 4.3.3 firmware or OSX upgrade issues? Both are awesome questions, but together, not so useful to others and hard to answer well. –  bmike Aug 1 '11 at 4:02
add comment

1 Answer

  1. Download 4.3.5 instead

  2. Update your Java by going to software update. Which OS x version did you have previously?

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.